# H501_RouteInformation Class Reference

`#include <h501.h>`

Inheritance diagram for H501_RouteInformation:

List of all members.

## Public Types

enum | OptionalFields { e_usageSpec, e_priceInfo, e_type, e_featureSet, e_circuitID, e_supportedCircuits }

## Public Member Functions

| H501_RouteInformation (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H501_RouteInformation_messageType | m_messageType
PASN_Boolean | m_callSpecific
H501_UsageSpecification | m_usageSpec
H501_ArrayOf_PriceInfoSpec | m_priceInfo
H501_ArrayOf_ContactInformation | m_contacts
H225_EndpointType | m_type
H225_FeatureSet | m_featureSet
H225_CircuitInfo | m_circuitID
H501_ArrayOf_CircuitIdentifier | m_supportedCircuits

## Member Enumeration Documentation

enum H501_RouteInformation::OptionalFields

Enumerator:

  e_usageSpec |
  e_priceInfo |
  e_type |
  e_featureSet |
  e_circuitID |
  e_supportedCircuits |

## Constructor & Destructor Documentation

H501_RouteInformation::H501_RouteInformation | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H501_RouteInformation::GetDataLength | ( |  | ) | const

PBoolean H501_RouteInformation::Decode | ( | PASN_Stream & | strm | ) |

void H501_RouteInformation::Encode | ( | PASN_Stream & | strm | ) | const

void H501_RouteInformation::PrintOn | ( | ostream & | strm | ) | const

Comparison H501_RouteInformation::Compare | ( | const PObject & | obj | ) | const

PObject* H501_RouteInformation::Clone | ( |  | ) | const

## Member Data Documentation

H501_RouteInformation_messageType H501_RouteInformation::m_messageType

PASN_Boolean H501_RouteInformation::m_callSpecific

H501_UsageSpecification H501_RouteInformation::m_usageSpec

H501_ArrayOf_PriceInfoSpec H501_RouteInformation::m_priceInfo

H501_ArrayOf_ContactInformation H501_RouteInformation::m_contacts

H225_EndpointType H501_RouteInformation::m_type

H225_FeatureSet H501_RouteInformation::m_featureSet

H225_CircuitInfo H501_RouteInformation::m_circuitID

H501_ArrayOf_CircuitIdentifier H501_RouteInformation::m_supportedCircuits

The documentation for this class was generated from the following file:

- h501.h